Recommended distribution with ruTorrent support

49 views
Skip to first unread message

aixki

unread,
Jul 26, 2017, 4:50:07 AM7/26/17
to pyroscope-users
I plan to install pimp-my-box (or PyroCore & rtorrent-PS manually, whatever is the best way) and I was wondering if what is written in the doc is still relevant :

The Ansible playbooks and related commands have been tested on Debian Jessie, Ubuntu Xenial, and Ubuntu Trusty – the recommended distribution is Ubuntu Server LTS 64bit (i.e. release 16.04 at the time of this writing, unless you want to use rutorrent, then for now go back to 14.04 or use Debian Jessie). They should work on other platforms too, especially when they’re Debian derivatives, but you might have to make some modifications.


Ubuntu 14.04 is quite old now, and I don't want to use it. I don't understand why ruTorrent couldn't work on Ubuntu 16.04, Debian Stretch or ArchLinux.

My favorite choice for the Linux distribution would be ArchLinux but if you think I would have less issues installing pimp-my-box on Debian Stretch or Ubuntu 16.04, then I'll go for on of these.

pyroscope

unread,
Aug 2, 2017, 10:48:37 AM8/2/17
to pyroscope-users
The point is PHP7 as default or not. You either have to install PHP5 from external sources, or use a non-release (head) version of rutorrent.
Reply all
Reply to author
Forward
0 new messages